
 LinHES - Bug # 630: mythwelcome/mythshutdown time format change

Status: Closed Priority: Normal
Author: alien Category: Other
Created: 02/25/2010 Assignee: jams
Updated: 06/04/2010 Due date:
Description: The time format for mythshutdown has changed.  It used to be "yyyy-MM-dd:hh:mm".  Now it is 

"yyyy-MM-ddThh:mm:ss".  This is set in the mythtv-setup Shutdown/Wakeup Options page.

I'm not sure if it is possible to fix this in the database upgrade since we cannot be sure if the user is using 
mythwelcome.  However, the setup instructions in mythwelcome-set-alarm.sh need to be corrected.  See 
attached.

Cheers,

Allen

Associated revisions
03/24/2010 12:39 pm - brfransen
linhes-scripts: update mythwelcome-set-alarm.sh instructions. Ref #630

History
02/25/2010 10:57 am - brfransen
I have been using yyyy-MM-dd:hh:mm since .21 and am currently using trunk from a few days ago and mythshutdown works perfectly with 
yyyy-MM-dd:hh:mm.  Additionally, I don't see any changes in the [[http://svn.mythtv.org/trac/log/trunk/mythtv/programs/mythshutdown|mythshutdown 
log]] that the time format has changed.  Why do you think the time format has changed?

02/26/2010 02:32 am - alien
When I upgraded to latest testing, I got .22 and it stopped working.  It took a while to discover what the problem was.  I have no idea why they changed 
it.  I suspect that it was changed a while ago and they supported both for a while, but now they have removed the old format.  See below.

<code>[allen@violet ~]$ mythshutdown --help
Usage of mythshutdown
-w/--setwakeup time      (sets the wakeup time. time=yyyy-MM-ddThh:mm:ss
                          doesn't write it into nvram)
-t/--setscheduledwakeup  (sets the wakeup time to the next scheduled recording)
-q/--shutdown            (set nvram-wakeup time and shutdown)
-x/--safeshutdown        (equal to -c -t -q.  check shutdown possible, set
                           scheduled wakeup and shutdown)
-p/--startup             (check startup. check will return 0 if automatic
                                                           1 for manually)
-c/--check flag          (check shutdown possible
                          flag is 0 - don't check recording status
                                  1 - do check recording status (default)
                          returns 0 ok to shutdown
                                  1 reset idle check)
-l/--lock                (disable shutdown. check will return 1.)
-u/--unlock              (enable shutdown. check will return 0)
-s/--status flag         (returns a code indicating the current status)
                          flag is 0 - don't check recording status
                                  1 - do check recording status (default)
                          0 - Idle
                          1 - Transcoding
                          2 - Commercial Flagging
                          4 - Grabbing EPG data
                          8 - Recording - only valid if flag is 1
                         16 - Locked
                         32 - Jobs running or pending
                         64 - In a daily wakeup/shutdown period
                        128 - Less than 15 minutes to next wakeup period
                        255 - Setup is running
-v/--verbose debug-level (Use '-v help' for level info
-h/--help                (shows this usage)

[allen@violet ~]$  </code>

02/26/2010 11:02 am - brfransen
[[http://svn.mythtv.org/trac/changeset/18321/trunk/mythtv/programs/mythshutdown|Here]] is where it was changed, 18 months ago.  Although I am still 
not sure why it is working for me with the old format.

02/28/2010 09:11 am - alien
Do you possibly have the :ss?  I didn't have that.  Maybe it was the missing :ss that broke mine and not the "T".

02/28/2010 09:22 am - brfransen
Nope, I have yyyy-MM-dd:hh:mm, no :ss and no T.  But I only use the set wakeup and shutdown period. Maybe that is why it is working for me.

03/01/2010 04:27 am - alien
That would explain it.  The wakeup period is calculated internally by mythshutdown.  The -setwakeup is only used by the backend to set the next 
recording time.

In my case, my box kept waking up for the daily wakup, but stopped waking up to record programs until I changed the time format.

03/21/2010 07:18 pm - jams
- Assignee set to jams

03/24/2010 01:07 pm - brfransen
- Target version set to 6.03.00

- % Done changed from 0 to 50

left open for db update

04/06/2010 01:49 pm - brfransen
- % Done changed from 50 to 90

Added mythwelcome-config.py to linhes-scripts that will update the db with settings listed in mythwelcome-set-alarm.sh. 
Revision: http://www.linhes.org/bugs/projects/linhes/repository/revisions/c785b00ee7c35c42d509653fd16a13d4b0d76f6a

mythwelcome-config.py should be called in the mythtv .23 upgrade script.

06/04/2010 01:52 am - cecil
- Category set to Other
- % Done changed from 90 to 100

- Status changed from New to Closed

Files
mythwelcome-set-alarm.sh 1.1 kB 02/25/2010 admin
